Learn what Felgo offers to help your business succeed. Start your free evaluation today! Felgo for Your Business

Forums

OverviewFelgo 2 Support (Qt 5) › Facebook native frameworks not found on an old Android

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #13283

    Phil

    Is the new Facebook plugin supposed to be working on old Androids?  Because it works on my iPhone but on an old Android I have the following error message:

    Warning: Plugin “VPlay.plugins.facebook” disabled: Native frameworks not found

    #13284

    Alex
    Felgo Team

    Hello Phil,

    Yes, Facebook is supported from Android 2.3 and upwards. Did you add the dependency line to your build.gradle file, as described here? http://felgo.com/doc/plugin-facebook/#android-integration-steps

    Can you also give us more details what’s an old Android for you? 😉 Probably the build output prints some warnings (you can enable verbose output in the “Build APK” project settings)?

    Thanks,

    Alex

    #13287

    Phil

    It’s Android 4.1.2.  I just added the line to the build.gradle and now I have the following error when I click “Login to Facebook”:

     

    W/System.err(24825): java.lang.NoClassDefFoundError: org/qtproject/qt5/android/QtNative$16

    W/System.err(24825): at org.qtproject.qt5.android.QtNative.setSurfaceGeometry(QtNative.java:617)

    W/System.err(24825): at dalvik.system.NativeStart.run(Native Method)

    W/System.err(24825): Caused by: java.lang.NoSuchMethodError: net.vplay.plugins.Utils.getQtActivity

    W/System.err(24825): at net.vplay.plugins.facebook.FacebookItem.openSession(FacebookItem.java:123)

    W/System.err(24825): … 1 more

    #13288

    Alex
    Felgo Team

    Hi Phil,

    can you please update your installation to Felgo 2.8.3 (or alternatively set the version in your build.gradle from “+” to “2.8.2” for the Facebook dependency but an update might make more sense here)?

    Thanks,

    Alex

Viewing 4 posts - 1 through 4 (of 4 total)

RSS feed for this thread

You must be logged in to reply to this topic.

Qt_Technology_Partner_RGB_475 Qt_Service_Partner_RGB_475_padded